﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Template.Business.Enumerations;
using Template.Business.ComponentInterfaces;

namespace Template.Business.Components
{
    public class SecurityComponent : ISecurityComponent
    {
        private static readonly IList<PageIdentifier> _publicPages =
            new List<PageIdentifier>()
                {
                    PageIdentifier.LogonPage
                };

        public bool IsPublic(PageIdentifier pageIdentifier)
        {
            return _publicPages.Contains(pageIdentifier);
        }
    }
}
