﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Template.Data.Entities;

namespace Template.Business.DomainObjects
{
    public class Language
    {
        public int LocaleId { get; set; }
        public string Name { get; set; }

        public Language(LanguageEntity entity)
        {
            this.LocaleId = entity.LocaleId;
            this.Name = entity.Name;
        }

        public override string ToString()
        {
            return Name + "(" + LocaleId + ")";
        }

        public LanguageEntity ToEntity()
        {
            var result = new LanguageEntity();
            result.LocaleId = this.LocaleId;
            result.Name = this.Name;
            return result;
        }

    }
}
