﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Template.Business.Helpers
{
    /// <summary>
    /// A generic EventArgs class that can set a generic Item
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class EventArgs<T> : EventArgs
    {
        /// <summary>
        /// Gets or sets the generic item.
        /// </summary>
        /// <value>The item.</value>
        public T Item { get; set; }
    }

}
