﻿using System.Collections.Generic;
using Template.Data.Entities;
using Template.Data.Interfaces;

namespace Template.Data.DataAccess
{
    public class ReferenceDataAccess : IReferenceDataAccess
    {
        public IList<LanguageEntity> GetAvailableLanguages()
        {
            List<LanguageEntity> result = new List<LanguageEntity>
                                              {new LanguageEntity() {LocaleId = 1033, Name = "English"},
                                              new LanguageEntity() {LocaleId = 1036, Name = "French"},
                                              new LanguageEntity() {LocaleId = 1043, Name = "Dutch"}};
            return result;
        }
    }

}