﻿using System.Collections.Generic;
using Template.Data.Entities;

namespace Template.Data.Interfaces
{
    public interface IReferenceDataAccess
    {
        /// <summary>
        /// Gets the available languages.
        /// </summary>
        /// <returns>a list of languages</returns>
        IList<LanguageEntity> GetAvailableLanguages();

    }
}