﻿
using System.Web;
using Template.Business.ComponentInterfaces;

namespace Template.Web.Code
{
    /// <summary>
    /// The component tht will hold the session variables
    /// </summary>
    internal class SessionComponent : ISessionComponent
    {
        public string User
        {
            get
            {
                return HttpContext.Current.Session["User"] as string;
            }
            set
            {
                HttpContext.Current.Session["User"] = value;
            }
        }

        public bool IsLoggedIn
        {
            get
            {
                return (bool)(HttpContext.Current.Session["IsLoggedIn"]??false);
            }
            set
            {
                HttpContext.Current.Session["IsLoggedIn"] = value;
            }
        }
    }
}