﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Template.Business.Enumerations;
using Template.Business.Presenters;
using Template.Web.Code;
using Template.Business.ViewInterfaces;

namespace Template.Web
{
    public partial class LogonPage : BasePage,ILogon
    {
        protected override IPresenter CreatePresenter()
        {
            return new LogonPresenter(this);
        }

        protected override void CreateEventhandlers()
        {
            ButtonLogon.Click += (s, e) => LogonClicked(s, e);
        }

        public override PageIdentifier PageIdentifier
        {
            get { return PageIdentifier.LogonPage; }
        }

        public event EventHandler LogonClicked;
    }
}
