﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Template.Business.Enumerations;
using Template.Business.ViewInterfaces;

namespace Template.Business.Presenters
{
    public class LogonPresenter : BasePresenter<ILogon>
    {
        public LogonPresenter(ILogon view) : base(view)
        {
        }

        protected override void SubscribeViewToEvents()
        {
            View.LogonClicked += new EventHandler(View_LogonClicked);
        }

        void View_LogonClicked(object sender, EventArgs e)
        {
            SessionComponent.IsLoggedIn = true;
            if (!NavigationComponent.ReturnToCaller())
                NavigationComponent.NavigateTo(PageIdentifier.TestPage1);
        }

        protected override void OnViewLoad(object sender, EventArgs e)
        {//noting to do here
        }

        protected override void LoadViewFromModel()
        {//noting to do here
        }
    }
}
