﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Template.Business.DomainObjects;
using Template.Business.ViewInterfaces;

namespace Template.Business.Presenters
{
    public class TestPageTim : BasePresenter<ITestPageTim>
    {
        public TestPageTim(ITestPageTim view) : base(view)
        {
        }

        protected override void SubscribeViewToEvents()
        {
            View.ButtonFillClicked += new EventHandler(View_ButtonFillClicked);
        }

        void View_ButtonFillClicked(object sender, EventArgs e)
        {
            IList<Language> result = ReferenceDataComponent.GetAvailableLanguages();
            View.Languages = result;
            View.LabelText = "test";
        }

        protected override void OnViewLoad(object sender, EventArgs e)
        {
        }

        protected override void UpdateView()
        {
        }
    }
}
