﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Template.Business.Enumerations;

namespace Template.Business.ViewInterfaces
{
    /// <summary>
    /// the base view for all pages in the webapp
    /// </summary>
    public interface IPageView  : IView
    {
        /// <summary>
        /// The Identifier of the Page
        /// </summary>
        PageIdentifier PageIdentifier { get; } 
    }
}
