﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Template.Data.Entities;
using Template.Data.DataAccess;

namespace Template.Test.DataTests
{
    [TestClass]
    public class ReferenceDataAccessTest
    {
        [TestMethod]
        public void GetAvailableLanguages_should_yield_list_of_3_languages()
        {
            IList<LanguageEntity> result = new ReferenceDataAccess().GetAvailableLanguages();
            Assert.AreEqual(3,result.Count);
        }
    }
}
