﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using System.Xml.Linq;
using Template.Business;
using Template.Business.ComponentInterfaces;
using Template.Web.Code;

namespace Template.Web
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {
            //initializes all external dependencies for the application
            ServiceLocator.Instance().InitializeForApplication();
            //register the types that are implemented in the web application so the business has nog dependency on these implementations
            ServiceLocator.Instance().RegisterType<ISessionComponent, SessionComponent>();
            ServiceLocator.Instance().RegisterType<INavigationComponent, NavigationComponent>();

        }

        protected void Session_Start(object sender, EventArgs e)
        {

        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {

        }

        protected void Application_AuthenticateRequest(object sender, EventArgs e)
        {

        }

        protected void Application_Error(object sender, EventArgs e)
        {

        }

        protected void Session_End(object sender, EventArgs e)
        {

        }

        protected void Application_End(object sender, EventArgs e)
        {

        }
    }
}